/*
 * main implementation: use this 'C' sample to create your own application
 *
 */





#include "derivative.h" /* include peripheral declarations */

void FTM_Output_Compare (void);



int main(void)
{
	int counter = 0;
	
	FTM_Output_Compare();
	
	for(;;) 
	{	   
	   	counter++;
	}
	
	return 0;
}

void FTM_Output_Compare (void)
{
	/*Enable Clock Gate for Ports*/
	SIM_SCGC5 	|= SIM_SCGC5_PORTA_MASK 
				| SIM_SCGC5_PORTB_MASK 
				| SIM_SCGC5_PORTC_MASK 
				| SIM_SCGC5_PORTD_MASK 
				| SIM_SCGC5_PORTE_MASK;
	/*Enable Clock Gate for FTM0,FTM1,FTM2*/
	SIM_SCGC6|=(SIM_SCGC6_FTM1_MASK);    
	SIM_SCGC6|=(SIM_SCGC6_FTM0_MASK);    
	SIM_SCGC3|=(SIM_SCGC3_FTM2_MASK);
	
	PORTC_PCR4 = (0|PORT_PCR_MUX(4)); /* FTM0_CH3 enable on PTC4 */
	
	/*Output Compare Mode - Clear Output on Match*/
	FTM0_C3SC |= FTM_CnSC_MSA_MASK|FTM_CnSC_ELSB_MASK;/*MSA =1 ; ELSB=1; ELSA=0*/
	
	/*Output Compare Mode - Toggle Output on Match*/
	//FTM0_C3SC |= FTM_CnSC_MSA_MASK|FTM_CnSC_ELSA_MASK;/*MSA =1 ; ELSB=0; ELSA=1*/
	
	FTM0_C3V  = 1000;
	
	FTM0_MOD  = 2000;
	
	/*Channel 3 Init as 1*/
	FTM0_OUTINIT |= FTM_OUTINIT_CH3OI_MASK;
	
	/*Output channel 3 Init */
	FTM0_MODE |= FTM_MODE_INIT_MASK;
	
	/*Counter Reset*/
	FTM0_CNT   = 0;
	
	/*FTM counter clock source is System Clock and Prescale Factor is 0*/
	FTM0_SC = FTM_SC_CLKS(1)|FTM_SC_PS(0);
}
